Package Details: ucsc-kent-genome-tools 405-1

Git Clone URL: https://aur.archlinux.org/ucsc-kent-genome-tools.git (read-only, click to copy)
Package Base: ucsc-kent-genome-tools
Description: UCSC Kent bioinformatics utilities: kent source utilities
Upstream URL: http://hgdownload.soe.ucsc.edu/admin/exe/
Licenses: custom:UCSC
Submitter: greyltc
Maintainer: greyltc
Last Packager: greyltc
Votes: 4
Popularity: 0.000000
First Submitted: 2015-02-04 08:04
Last Updated: 2020-11-01 19:30

Latest Comments

1 2 Next › Last »

balwierz commented on 2021-10-18 11:39

out of date and broken. The need to add "userApps.archive" to the source URL.

moreover, after tweaking PKGBUILD linking fails: /usr/bin/ld: ../../lib/local/jkweb.a(portimpl.o):/tmp/yaourt-tmp-piotr/aur-ucsc-kent-genome-tools/src/userApps/kent/src/lib/../inc/htmshell.h:163: multiple definition of `htmlRecover'; ../../lib/local/jkweb.a(cheapcgi.o):/tmp/yaourt-tmp-piotr/aur-ucsc-kent-genome-tools/src/userApps/kent/src/lib/../inc/htmshell.h:163: first defined here

clintval commented on 2018-06-19 23:59

Hi all, we're stuck on v353 until upstream stops selective static linking. I've reached out to the community and if anyone is willing to make a patch for Arch that would be very appreciated.

Thanks!

clintval commented on 2018-06-19 15:24

@greyltc that's a great idea. I'll do it today, flag as out-of-date, and post a comment describing why we are struggling to rev up.

greyltc commented on 2018-06-19 13:49

@clintval, maybe you could roll this back to 366 until we ( you ;-) ) manage to get newer versions compiling?

clintval commented on 2018-06-08 18:44

I've reached out to the forum for help:

https://bbs.archlinux.org/viewtopic.php?pid=1790624#p1790624

clintval commented on 2018-05-01 18:20

This is going to require some work for successful compiling on Arch Linux. On all currently posted versions (up to v364) I get this error which is likely due to selective static linking:

/usr/lib/libm-2.26.a(s_rint.o): In function `__rint':
(.text+0x9): undefined reference to `_dl_x86_cpu_features'

greyltc commented on 2016-04-24 09:03

Should be fixed up and updated now. Apologies for the delay.

matrs commented on 2016-04-22 11:02

To solve the license problem, the license has to be between ().

matrs commented on 2016-03-22 13:46

install fails :
Proceed with installation? [Y/n] y
Edit ucsc-kent-genome-tools PKGBUILD with $EDITOR? [Y/n] n
Edit ucsc-kent-genome-tools.install with $EDITOR? [Y/n] n
==> ERROR: license should be an array
The build failed.

greyltc commented on 2016-01-08 15:19

updated to 326. sorry for the delay!